org.springframework.data.relational.core.sql

## Interface SelectBuilder.SelectJoin

All Superinterfaces:
  SelectBuilder.BuildSelect, SelectBuilder.SelectLock

All Known Subinterfaces:
  SelectBuilder.SelectFromAndJoin, SelectBuilder.SelectFromAndJoinCondition, SelectBuilder.SelectOnCondition

Enclosing interface:
  SelectBuilder

    public static interface SelectBuilder.SelectJoin
    extends SelectBuilder.SelectLock, SelectBuilder.BuildSelect

Interface exposing `JOIN` methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`SelectBuilder.SelectOn` `join(String table)` Declare a `JOIN` `table`.
`SelectBuilder.SelectOn` `join(Table table)` Declare a `JOIN` `Table`.
`SelectBuilder.SelectOn` `leftOuterJoin(Table table)` Declare a `LEFT OUTER JOIN` `Table`.

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.SelectLock

`lock`

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.BuildSelect

`build`

### Method Detail

#### join

    SelectBuilder.SelectOn join(String table)

Declare a `JOIN` `table`.

Parameters:
  `table` - name of the table, must not be null or empty.
Returns:
  `this` builder.
See Also:
  `Join`, `SQL.table(String)`

#### join

    SelectBuilder.SelectOn join(Table table)

Declare a `JOIN` `Table`.

Parameters:
  `table` - name of the table, must not be null.
Returns:
  `this` builder.
See Also:
  `Join`, `SQL.table(String)`

#### leftOuterJoin

    SelectBuilder.SelectOn leftOuterJoin(Table table)

Declare a `LEFT OUTER JOIN` `Table`.

Parameters:
  `table` - name of the table, must not be null.
Returns:
  `this` builder.
See Also:
  `Join`, `SQL.table(String)`